Assign Contacts for a Site
curl --request PATCH \
--url https://api.tread-horizon.com/v1/sites/{site-id}/contacts/bulk_assign \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contacts": [
{
"name": "<string>",
"email": "<string>",
"phone": "+18885551234",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_destroy": 123
}
]
}
'import requests
url = "https://api.tread-horizon.com/v1/sites/{site-id}/contacts/bulk_assign"
payload = { "contacts": [
{
"name": "<string>",
"email": "<string>",
"phone": "+18885551234",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"_destroy": 123
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
contacts: [
{
name: '<string>',
email: '<string>',
phone: '+18885551234',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
_destroy: 123
}
]
})
};
fetch('https://api.tread-horizon.com/v1/sites/{site-id}/contacts/bulk_assign', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"error": {
"code": "<string>",
"error_type": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>"
}
}{
"error": {
"code": "<string>",
"errors": [
{
"model": "<string>",
"field": "<string>",
"message": "<string>"
}
]
}
}Sites
Assign Contacts for a Site
Assigns Contacts for a Site
PATCH
/
v1
/
sites
/
{site-id}
/
contacts
/
bulk_assign
Assign Contacts for a Site
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.
Example:
"en"
Path Parameters
Site ID
Body
application/json
Show child attributes
Show child attributes
Response
Accepted
The response is of type object.
⌘I